Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm64, hppa ], all versions are unstable: [ 3.2.6, 3.2.7, 3.3.0 ]
  • 99999999
    • DeprecatedEclass
      uses deprecated eclass: [ user (migrate to acct-user/acct-group packages) ]
    • MissingTestRestrict
      missing RESTRICT="!test? ( test )" with IUSE=test
  • 3.3.0
    • DeprecatedEclass
      uses deprecated eclass: [ user (migrate to acct-user/acct-group packages) ]
  • 3.2.7
    • DeprecatedEclass
      uses deprecated eclass: [ user (migrate to acct-user/acct-group packages) ]
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 3.3.0
  • 3.2.6
    • DeprecatedEclass
      uses deprecated eclass: [ user (migrate to acct-user/acct-group packages) ]
    • PotentialStable
      slot(0), stabled arches: [ amd64, arm, ppc64, x86 ], potentials: [ ~arm64, ~hppa ]

Description

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.

External Resources